GET /data/tasks/{task_id}/working-files/last-revisions

Retrieve the last working file revisions for each file name for a given task. Returns the most recent version of each working file.

Path parameters

  • task_id string(uuid) Required

    Task unique identifier

Responses

  • 200 application/json

    Last working file revisions for each file name

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)

        Working file unique identifier

      • name string

        Working file name

      • revision integer

        Working file revision

      • updated_at string(date-time)

        Last update timestamp

GET /data/tasks/{task_id}/working-files/last-revisions
curl -X GET "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-files/last-revisions" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-files/last-revisions"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-files/last-revisions' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "additionalProperty1": {
    "id": "b35b7fb5-df86-5776-b181-68564193d36",
    "name": "main",
    "revision": 3,
    "updated_at": "2023-01-01T12:00:00Z"
  },
  "additionalProperty2": {
    "id": "b35b7fb5-df86-5776-b181-68564193d36",
    "name": "main",
    "revision": 3,
    "updated_at": "2023-01-01T12:00:00Z"
  }
}